package org.xbib.net.http.server.handler;

import org.xbib.net.http.HttpResponseStatus;
import org.xbib.net.http.server.HttpErrorHandler;
import org.xbib.net.http.server.route.HttpRouterContext;

import java.io.IOException;

import static org.xbib.net.http.HttpHeaderNames.CONTENT_TYPE;

public class OkHandler implements HttpErrorHandler {

    public OkHandler() {
    }

    @Override
    public void handle(HttpRouterContext context) throws IOException {
        context.status(HttpResponseStatus.OK)
                .setHeader(CONTENT_TYPE, "text/plain; charset=utf-8")
                .body("Hello world")
                .done();
    }
}
