package org.xbib.net.http.client.event.stream.test;

import org.junit.jupiter.api.Disabled;
import org.junit.jupiter.api.Test;

import java.io.IOException;
import java.net.URI;
import java.net.URISyntaxException;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.util.logging.Level;
import java.util.logging.Logger;

@Disabled
public class EventStreamTest {

    private static final Logger logger = Logger.getLogger(EventStreamTest.class.getName());

    public EventStreamTest() {
    }

    @Test
    void testSimpleJournalGateway() throws URISyntaxException, IOException, InterruptedException {
        var uri = new URI("http://localhost:19531/entries?follow");
        try (var client = HttpClient.newHttpClient()) {
            var request = HttpRequest.newBuilder(uri)
                    .GET()
                    .header("Accept", "text/event-stream")
                    .header("Cache-Control", "no-cache")
                    .header("Range", "entries=:-1:")
                    .build();
            var lines = client.send(request, HttpResponse.BodyHandlers.ofLines()).body();
            lines.forEach(line -> logger.log(Level.INFO, line));
        }
    }
}
