import org.xbib.net.http.server.netty.HttpChannelInitializer;
import org.xbib.net.http.server.netty.ServerTransportProvider;
import org.xbib.settings.SettingsLoader;

module org.xbib.net.http.server.netty.test {
    requires transitive org.junit.jupiter.api;
    requires io.netty.transport;
    requires io.netty.common;
    requires org.xbib.datastructures.api;
    requires org.xbib.datastructures.json.tiny;
    requires org.xbib.settings.datastructures;
    requires org.xbib.net;
    requires org.xbib.net.http;
    requires org.xbib.net.http.server;
    requires org.xbib.net.http.server.netty;
    requires org.xbib.net.http.client;
    requires org.xbib.net.http.client.netty;
    exports org.xbib.net.http.server.netty.test;
    exports org.xbib.net.http.server.netty.test.pipelining;
    exports org.xbib.net.http.server.netty.test.simple;
    opens org.xbib.net.http.server.netty.test;
    opens org.xbib.net.http.server.netty.test.pipelining;
    opens org.xbib.net.http.server.netty.test.simple;
    uses SettingsLoader;
    uses HttpChannelInitializer;
    uses ServerTransportProvider;
}
